# history.rollback.previewMany

Preview rolling back up to 50 changes from History at once, newest first, with each change's plan and one previewFingerprint for history.rollback.applyMany. Nothing changes.

`GET | POST /api/v1/accounting/history.rollback.previewMany`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_history_rollback_preview_many`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `ids` | array of strings | Yes | 1–50 items; each Matches ^([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\|sig-[0-9]{1,19})$. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/history.rollback.previewMany \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "ids": [
    "11111111-1111-1111-1111-111111111111"
  ]
}'
```

Reference page: https://app.getoatmilk.com/docs/api/history.rollback.previewMany
